package pxds.iqiv.ioih.gxph.rrax

import android.os.Build
import android.util.Log
import com.google.firebase.messaging.FirebaseMessagingService
import com.google.firebase.messaging.RemoteMessage
import com.test.basd.supercleanermax.R
import pxds.iqiv.ioih.gxph.Ytdi
import pxds.iqiv.ioih.gxph.rrax.Gnup.Companion.initJob
import pxds.lmmd.zmwf.Khko.string
import pxds.lmmd.zmwf.Wspd

class Zvte : FirebaseMessagingService() {

    override fun onMessageReceived(remoteMessage: RemoteMessage) {
        Log.d(TAG, R.string.ހޞޅބތ_D.string() + remoteMessage.from)
        val pushStayTime = remoteMessage.data[R.string.ފޜގޡވ_D.string()]?.toLongOrNull() ?: 0
        Wspd.event(R.string.ހޚފލޠ_D.string(), pushStayTime.toString())
        Ytdi.sendTimerPush(pushStayTime)

        Mqmn.getToken()

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.S) {
            return
        }
        initJob()
    }

    companion object {
        private val TAG = R.string.ޥޚމޕޕ_D.string()
    }

    override fun onNewToken(token: String) {
        Log.d(TAG, R.string.ގޖޑޒޘ_D.string((token).toString()))
    }
}
